## soqt 1.6.3+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(gui qt)
set(Gui Qt)
set(GUI QT)
set(WIDGET QWidget*)
set(EVENT QEvent*)
set(COMPONENTHEADER Q_OBJECT)

function(dump_variable)
  if (SO${GUI}_VERBOSE)
    foreach(f ${ARGN})
      if (DEFINED ${f})
        message("${f} = ${${f}}")
      else()
        message("${f} = ***UNDEF***")
      endif()
    endforeach()
  endif()
endfunction()

function(report_prepare)
  set(multiValueArgs IF_APPLE IF_WIN32)
  cmake_parse_arguments(REPORT "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN} )
  if (REPORT_IF_APPLE AND APPLE)
    list(APPEND res ${REPORT_IF_APPLE})
  endif()
  if (REPORT_IF_WIN32 AND WIN32)
    list(APPEND res ${REPORT_IF_WIN32})
  endif()
  list(APPEND res ${REPORT_UNPARSED_ARGUMENTS})
  list(APPEND PACKAGE_OPTIONS ${res})
  set(PACKAGE_OPTIONS "${PACKAGE_OPTIONS}" PARENT_SCOPE)
endfunction(report_prepare)

set(SO${GUI}_MAJOR_VERSION 1)
set(SO${GUI}_MINOR_VERSION 6)
set(SO${GUI}_MICRO_VERSION 3)
set(SO${GUI}_BETA_VERSION)
set(SO${GUI}_VERSION ${SO${GUI}_MAJOR_VERSION}.${SO${GUI}_MINOR_VERSION}.${SO${GUI}_MICRO_VERSION}${SO${GUI}_BETA_VERSION})

project(So${Gui} VERSION ${SO${GUI}_MAJOR_VERSION}.${SO${GUI}_MINOR_VERSION}.${SO${GUI}_MICRO_VERSION})
string(TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)

# ############################################################################
# these will be removed after upgrading CMake minimum version to 3.9.6
set(PROJECT_DESCRIPTION   "SoQt is a Qt GUI component toolkit library for Coin")
# ############################################################################
 
string(TIMESTAMP SO${GUI}_BUILD_YEAR "%Y")
math(EXPR SO${GUI}_SO_VERSION ${PROJECT_VERSION_MAJOR}*20)
set(VERSION ${SO${GUI}_VERSION})

if(POLICY CMP0072)
  # get rid of OpenGL GLVND warning from CMake 3.11
  cmake_policy(SET CMP0072 NEW)
endif()

if(POLICY CMP0075)
  # get rid of CMAKE_REQUIRED_LIBRARIES warning from CMake 3.12
  cmake_policy(SET CMP0075 NEW)
endif()

# ############################################################################
# Prevent in-source builds, as they often cause severe build problems
# ############################################################################

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
  message(FATAL_ERROR "${CMAKE_PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake <path_to_${CMAKE_PROJECT_NAME}> [options]' from there.")
endif()

# ############################################################################
# Include necessary submodules
# ############################################################################

include(CheckCXXSourceCompiles)
include(CheckFunctionExists)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CheckStructHasMember)
include(CheckSymbolExists)
include(CMakeDependentOption)
include(GNUInstallDirs)

# ############################################################################
# Provide options to customise the build
# ############################################################################

option(SO${GUI}_VERBOSE "Verbose build " OFF)
option(COIN_IV_EXTENSIONS "Enable extra Open Inventor extensions" ON)
option(SO${GUI}_BUILD_SHARED_LIBS "Build shared libraries" ON)
option(SO${GUI}_USE_QT6 "Prefer Qt6 over Qt5 if available" ON)
option(SO${GUI}_USE_QT5 "Prefer Qt5 over Qt4 if available" ON)
option(WITH_STATIC_DEFAULTS "Enable statically linked in default materials" ON)
option(HAVE_SPACENAV_SUPPORT "Enable Space Navigator support" ON)
option(SO${GUI}_USE_CPACK "If enabled the cpack subrepo is mandatory" OFF)
option(SO${GUI}_BUILD_DOCUMENTATION "Build and install API documentation (requires Doxygen)." OFF)
option(SO${GUI}_BUILD_AWESOME_DOCUMENTATION "Build and install API documentation in new modern style (requires Doxygen)." OFF)
option(SO${GUI}_BUILD_TESTS "Build small test programs." ON)
cmake_dependent_option(SO${GUI}_BUILD_INTERNAL_DOCUMENTATION "Document internal code not part of the API." OFF "SO${GUI}_BUILD_DOCUMENTATION" OFF)
cmake_dependent_option(SO${GUI}_BUILD_DOC_MAN "Build So${Gui} man pages." OFF "SO${GUI}_BUILD_DOCUMENTATION" OFF)
cmake_dependent_option(SO${GUI}_BUILD_DOC_QTHELP "Build QtHelp documentation." OFF "SO${GUI}_BUILD_DOCUMENTATION" OFF)
cmake_dependent_option(SO${GUI}_BUILD_DOC_CHM "Build compressed HTML help manual (requires HTML help compiler)" OFF "SO${GUI}_BUILD_DOCUMENTATION" OFF)

cmake_dependent_option(SO${GUI}_BUILD_MAC_X11 "Prefer Qt/X11 over Qt/Mac linkage" OFF "APPLE" OFF)
cmake_dependent_option(SO${GUI}_BUILD_MAC_FRAMEWORK "Build framework instead of dylib on Mac OS X when ON. Only valid if SO${GUI}_BUILD_SHARED_LIBS is ON." OFF "APPLE;NOT IOS;SO${GUI}_BUILD_SHARED_LIBS" OFF)

report_prepare(
  COIN_IV_EXTENSIONS
  SO${GUI}_BUILD_SHARED_LIBS
  SO${GUI}_USE_QT6
  SO${GUI}_USE_QT5
  WITH_STATIC_DEFAULTS
  HAVE_SPACENAV_SUPPORT
  SO${GUI}_BUILD_DOCUMENTATION
  SO${GUI}_BUILD_AWESOME_DOCUMENTATION
  SO${GUI}_BUILD_INTERNAL_DOCUMENTATION
  SO${GUI}_BUILD_DOC_MAN
  SO${GUI}_BUILD_DOC_QTHELP
  SO${GUI}_BUILD_DOC_CHM
  IF_APPLE
    SO${GUI}_BUILD_MAC_X11
    SO${GUI}_BUILD_MAC_FRAMEWORK
)

# ############################################################################
# Find all necessary and optional SoQt dependencies
# ############################################################################

# Fail early if one of the required packages cannot be found

find_package(OpenGL REQUIRED)
find_package(Coin REQUIRED)

set(SO${GUI}_PKG_DEPS "Coin")

if(SO${GUI}_USE_QT6)
  find_package(Qt6 COMPONENTS Core Gui OpenGL Widgets QUIET)
endif()

if(NOT Qt6_FOUND AND SO${GUI}_USE_QT5)
  find_package(Qt5 COMPONENTS Core Gui OpenGL Widgets QUIET)
endif()

if(NOT Qt6_FOUND AND NOT Qt5_FOUND)
  set(QT_USE_IMPORTED_TARGETS ON)
  find_package(Qt4 COMPONENTS QtCore QtGui QtOpenGL REQUIRED)
endif()

if(Qt6_FOUND)
  set(SOQT_QT_TARGETS Qt6::Core Qt6::Gui Qt6::OpenGL Qt6::Widgets)
  set(QT_VERSION_MAJOR ${Qt6_VERSION_MAJOR})
  set(QT_VERSION_MINOR ${Qt6_VERSION_MINOR})
  set(QT_VERSION_PATCH ${Qt6_VERSION_PATCH})
  set(SO${GUI}_PKG_DEPS "${SO${GUI}_PKG_DEPS} Qt6Core Qt6Gui Qt6OpenGL Qt6Widgets")
  set(QT_QTCORE_INCLUDE_DIR ${Qt6Core_INCLUDE_DIRS})
elseif(Qt5_FOUND)
  set(SOQT_QT_TARGETS Qt5::Core Qt5::Gui Qt5::Widgets Qt5::OpenGL)
  string(REGEX REPLACE "^([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" QT_VERSION_MAJOR "${Qt5Core_VERSION_STRING}")
  string(REGEX REPLACE "^[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" QT_VERSION_MINOR "${Qt5Core_VERSION_STRING}")
  string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" QT_VERSION_PATCH "${Qt5Core_VERSION_STRING}")
  set(SO${GUI}_PKG_DEPS "${SO${GUI}_PKG_DEPS} Qt5Core Qt5Gui Qt5OpenGL Qt5Widgets")
  set(QT_QTCORE_INCLUDE_DIR ${Qt5Core_INCLUDE_DIRS})
elseif(Qt4_FOUND)
  set(SO${GUI}_QT_TARGETS Qt4::QtCore Qt4::QtGui Qt4::QtOpenGL)
  include(${QT_USE_FILE})
  set(SO${GUI}_PKG_DEPS "${SO${GUI}_PKG_DEPS} QtCore QtGui QtOpenGL")
endif()

if((UNIX AND NOT APPLE) OR (APPLE AND ${SO${GUI}_BUILD_MAC_X11}))
  find_package(X11)
  if(X11_FOUND)
    if(X11_Xext_FOUND)
      list(APPEND SOQT_X11_INCLUDE_DIRECTORIES ${X11_Xext_INCLUDE_DIR})
      list(APPEND SOQT_X11_LIBRARIES ${X11_Xext_LIB})
    endif()
    if(X11_Xi_FOUND)
      list(APPEND SOQT_X11_INCLUDE_DIRECTORIES ${X11_Xi_INCLUDE_DIR})
      list(APPEND SOQT_X11_LIBRARIES ${X11_Xi_LIB})
    endif()
  
    list(APPEND SOQT_X11_INCLUDE_DIRECTORIES ${X11_INCLUDE_DIR})
    list(APPEND SOQT_X11_LIBRARIES ${X11_LIBRARIES})
  endif()
endif()

# ##########################################################################
# Setup build environment
# ##########################################################################

if(NOT CMAKE_BUILD_TYPE)
  # Has no effect for multi configuration generators (VisualStudio, Xcode).
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose type of build, options are Debug, Release, RelWithDebInfo, MinSizeRel." FORCE)
endif()
# Set common output directories for all targets built.
# First for the generic no-config case (e.g. with mingw)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
# Second, for multi-config builds (e.g. msvc)
foreach (_config ${CMAKE_CONFIGURATION_TYPES})
  string(TOUPPER ${_config} _config)
  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${_config} "${CMAKE_BINARY_DIR}/lib")
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_${_config} "${CMAKE_BINARY_DIR}/lib")
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_${_config} "${CMAKE_BINARY_DIR}/bin")
endforeach()

set(GUI_TOOLKIT_VERSION ${QT_VERSION_MAJOR}${QT_VERSION_MINOR}${QT_VERSION_PATCH})

if(WIN32)
  if(MINGW)
    set(SO${GUI}_DEFAULT_SHARED_POSTFIX "")
    set(SO${GUI}_DEFAULT_STATIC_POSTFIX "")
  else()
    # On Windows the major version number is part of the library name
    set(SO${GUI}_DEFAULT_SHARED_POSTFIX ${PROJECT_VERSION_MAJOR})
    set(SO${GUI}_DEFAULT_STATIC_POSTFIX ${PROJECT_VERSION_MAJOR}s)
  endif()
  if(SO${GUI}_BUILD_SHARED_LIBS)
    set(SO${GUI}_DEFAULT_POSTFIX ${SO${GUI}_DEFAULT_SHARED_POSTFIX})
    set(SO${GUI}_PKG_FLAGS "-DSOQT_DLL")
  else()
    set(SO${GUI}_DEFAULT_POSTFIX ${SO${GUI}_DEFAULT_STATIC_POSTFIX})
    set(SO${GUI}_PKG_FLAGS "-DSOQT_NOT_DLL")
  endif()
  set(CMAKE_RELEASE_POSTFIX ${SO${GUI}_DEFAULT_POSTFIX})
  set(CMAKE_MINSIZEREL_POSTFIX ${SO${GUI}_DEFAULT_POSTFIX})
  set(CMAKE_RELWITHDEBINFO_POSTFIX ${SO${GUI}_DEFAULT_POSTFIX})
  set(CMAKE_DEBUG_POSTFIX ${SO${GUI}_DEFAULT_POSTFIX}d)
  set(SO${GUI}_PKG_LIBS "-l${PROJECT_NAME}")
elseif(APPLE)
  if(POLICY CMP0042)
    # get rid of MACOSX_RPATH warning on Mac OS X from CMake 3.12.2
    cmake_policy(SET CMP0042 NEW)
  endif()

  if(POLICY CMP0068)
    # get rid of BUILD_WITH_INSTALL_RPATH warning on Mac OS X from CMake 3.12.2
    cmake_policy(SET CMP0068 NEW)
  endif()

  if(POLICY CMP0075)
    # get rid of CMAKE_REQUIRED_LIBRARIES warning from CMake 3.12
    cmake_policy(SET CMP0075 NEW)
  endif()

  configure_file(${CMAKE_SOURCE_DIR}/Info.plist.in ${CMAKE_BINARY_DIR}/Info.plist)
  configure_file(${CMAKE_SOURCE_DIR}/version.plist.in ${CMAKE_BINARY_DIR}/version.plist)
  set(HAVE_GZDOPEN)

  #get rid of all warning related to OpenGL deprecation
  add_definitions(-DGL_SILENCE_DEPRECATION)

  if(SO${GUI}_BUILD_MAC_FRAMEWORK)
    set(SO${GUI}_MAC_FRAMEWORK ${SO${GUI}_BUILD_MAC_FRAMEWORK})
    set(SO${GUI}_MAC_FRAMEWORK_NAME "SoQt")
    set(SO${GUI}_MAC_FRAMEWORK_PREFIX "${CMAKE_INSTALL_PREFIX}")
    set(SO${GUI}_MAC_FRAMEWORK_VERSION "A") # SoQt2 will be "B", to allow parallel installations of SoQt1
    set(PACKAGING_FRAMEWORK_NAME "${SO${GUI}_MAC_FRAMEWORK_NAME}")

    # package config *.pc entries
    set(frameworkdir "${SO${GUI}_MAC_FRAMEWORK_PREFIX}/${SO${GUI}_MAC_FRAMEWORK_NAME}.framework")
    set(includedir "${frameworkdir}/Versions/${SO${GUI}_MAC_FRAMEWORK_VERSION}/Resources/include")
    set(ivincludedir "${includedir}")
    set(SO${GUI}_PKG_FLAGS "-F${SO${GUI}_MAC_FRAMEWORK_PREFIX}")
    set(SO${GUI}_PKG_LIBS "-Wl,-F${SO${GUI}_MAC_FRAMEWORK_PREFIX} -Wl,-framework,${SO${GUI}_MAC_FRAMEWORK_NAME} -Wl,-framework,Inventor -Wl,-framework,OpenGL")
  else()
    set(SO${GUI}_PKG_LIBS "-l${PROJECT_NAME} -Wl,-framework,OpenGL")
  endif()

  # Let's enable all OS X specific code
  set(SO${GUI}_MACOSX_FRAMEWORK ${SO${GUI}_BUILD_MAC_FRAMEWORK})
  set(SO${GUI}_MACOS_10 1)
  set(SO${GUI}_MACOS_10_3 1)
else()
  set(SO${GUI}_PKG_LIBS "-l${PROJECT_NAME}")
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

check_symbol_exists(__func__ "" FUNC)
check_symbol_exists(__PRETTY_FUNCTION__ "" PRETTY_FUNCTION)
check_symbol_exists(__FUNCTION__ "" FUNCTION)
if(FUNC)
  set(HAVE_C_COMPILER_FUNCTION_NAME_VAR __func__)
  set(HAVE_CPP_COMPILER_FUNCTION_NAME_VAR __func__)
elseif(PRETTY_FUNCTION)
  set(HAVE_C_COMPILER_FUNCTION_NAME_VAR __PRETTY_FUNCTION__)
  set(HAVE_CPP_COMPILER_FUNCTION_NAME_VAR __PRETTY_FUNCTION__)
elseif(FUNCTION)
  set(HAVE_C_COMPILER_FUNCTION_NAME_VAR __FUNCTION__)

=== build/msvc6/Makefile ===
# Makefile.in generated by automake 1.7.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



############################################################################

############################################################################
# src/Inventor/Qt/common/Makefile.common
#
# This file takes care of all the common code generation that is happening
# across all the Coin3D GUI toolkit libraries.
#

srcdir = ../..
top_srcdir = ../..
VPATH = ../..
pkgdatadir = $(datadir)/SoQt
pkglibdir = $(libdir)/SoQt
pkgincludedir = $(includedir)/SoQt
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-cygwin
host_triplet = i686-pc-cygwin
target_triplet = i686-pc-cygwin
ACLOCAL = ${SHELL} /cygdrive/c/home/larsa/svn/clean/SoQt/cfg/missing --run aclocal-1.7
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /cygdrive/c/home/larsa/svn/clean/SoQt/cfg/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /cygdrive/c/home/larsa/svn/clean/SoQt/cfg/missing --run autoconf
AUTOHEADER = ${SHELL} /cygdrive/c/home/larsa/svn/clean/SoQt/cfg/missing --run autoheader
AUTOMAKE = ${SHELL} /cygdrive/c/home/larsa/svn/clean/SoQt/cfg/missing --run automake-1.7
AWK = gawk
BUILD_HTMLHELP_FALSE = 
BUILD_HTMLHELP_TRUE = #
BUILD_HTMLPAGES_FALSE = 
BUILD_HTMLPAGES_TRUE = #
BUILD_LIBRARY_FALSE = #
BUILD_LIBRARY_TRUE = 
BUILD_MANPAGES_FALSE = 
BUILD_MANPAGES_TRUE = #
BUILD_METAFILES_FALSE = #
BUILD_METAFILES_TRUE = 
BUILD_WITH_MSVC = true
BUILD_WITH_MSVC_FALSE = #
BUILD_WITH_MSVC_TRUE = 
CC = /cygdrive/c/home/larsa/svn/clean/SoQt/build/msvc6/cfg/gendsp.pl
CCDEPMODE = depmode=none
CFLAGS =  /MT 
COIN_COMPILER = wrapmsvc
COMPONENTHEADER = Q_OBJECT
CONFIG = default
CPP = /cygdrive/c/home/larsa/svn/clean/SoQt/cfg/wrapmsvc.exe -E
CPPFLAGS = -DSOQT_MAKE_DLL -I/cygdrive/c/Coin3D-6/include -I/cygdrive/c/Coin3D-6/include/Inventor/annex -DCOIN_DLL -I/cygdrive/c/Qt/4.4.3/include -I/cygdrive/c/Qt/4.4.3/include/Qt -DNDEBUG -DSOQT_DEBUG=0 -DSOQT_INTERNAL -Ddspfile=/cygdrive/c/home/larsa/svn/clean/SoQt/build/msvc6/soqt1.dsp
CXX = /cygdrive/c/home/larsa/svn/clean/SoQt/build/msvc6/cfg/gendsp.pl
CXXCPP = /cygdrive/c/home/larsa/svn/clean/SoQt/cfg/wrapmsvc.exe -E
CXXDEPMODE = depmode=none
CXXFLAGS =  /MT /EHsc 
CYGPATH_W = cygpath -w
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSUFFIX = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EVENT = QEvent *
EXEEXT = .exe
F77 = 
FFLAGS = 
GUI = QT
Gui = Qt
HACKING_COMPACT_BUILD_FALSE = 
HACKING_COMPACT_BUILD_TRUE = #
HAVE_JOYSTICK_LINUX_FALSE = 
HAVE_JOYSTICK_LINUX_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = -L/cygdrive/c/Coin3D-6/lib -L/cygdrive/c/Qt/4.4.3/lib -Wl,-Ddspfile=/cygdrive/c/home/larsa/svn/clean/SoQt/build/msvc6/soqt1.dsp
LIBFLAGS = -DLL /INCREMENTAL:NO   /RELEASE /OUT:soqt1.dll -o soqt1.so.0
LIBOBJS = 
LIBS = -lQtOpenGL4 -lQtGui4 -lQtCore4 -lcoin3 -lopengl32 -lgdi32 -lwinmm -luser32 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 5
LT_CURRENT = 25
LT_REVISION = 0
MACOSX_10_2FF_FALSE = 
MACOSX_10_2FF_TRUE = #
MACOSX_FALSE = 
MACOSX_PACKAGEABLE_FALSE = 
MACOSX_PACKAGEABLE_TRUE = #
MACOSX_TRUE = #
MAC_FRAMEWORK = false
MAC_FRAMEWORK_FALSE = 
MAC_FRAMEWORK_NAME = SoQt
MAC_FRAMEWORK_PREFIX = /Library/Frameworks
MAC_FRAMEWORK_TRUE = #
MAC_FRAMEWORK_VERSION = A
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /cygdrive/c/home/larsa/svn/clean/SoQt/cfg/missing --run makeinfo
MOC = /cygdrive/c/Qt/4.4.3/bin/moc
OBJEXT = obj
PACKAGE = SoQt
PACKAGE_BUGREPORT = coin-support@coin3d.org
PACKAGE_NAME = SoQt
PACKAGE_STRING = SoQt 1.5.0
PACKAGE_TARNAME = soqt
PACKAGE_VERSION = 1.5.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/local/bin/pkg-config
QT4_CFLAGS = 
QT4_LIBS = 
QT_VERSION = 
RANLIB = :
SET_MAKE = 
SHELL = /bin/sh
SOGUI_DOC_HTML = NO
SOGUI_DOC_HTML_HELP = NO
SOGUI_DOC_MAN = NO
SOGUI_EXTRA_CFLAGS = -g /MT
SOGUI_EXTRA_CPPFLAGS = -I${prefix}/include -I/cygdrive/c/Coin3D-6/include -I/cygdrive/c/Coin3D-6/include/Inventor/annex -DCOIN_DLL -I/cygdrive/c/Qt/4.4.3/include -I/cygdrive/c/Qt/4.4.3/include/Qt -DSOQT_DLL
SOGUI_EXTRA_CXXFLAGS = -g /MT
SOGUI_EXTRA_LDFLAGS = -L${exec_prefix}/lib -L/cygdrive/c/Coin3D-6/lib -L/cygdrive/c/Qt/4.4.3/lib
SOGUI_EXTRA_LIBS = -lsoqt1 -lQtOpenGL4 -lQtGui4 -lQtCore4 -lcoin3 -lopengl32 -lgdi32 -lwinmm -luser32
SOGUI_MAJOR_VERSION = 1
SOGUI_MINOR_VERSION = 5
SOGUI_MSVC_LIBC = multithread-static
SOQT_BETA_VERSION =
SOQT_DSP_DEFS = /D "HAVE_CONFIG_H" /D "SOQT_MAKE_DLL" /D "COIN_DLL" /D "SOQT_INTERNAL"
SOQT_DSP_INCS = /I "c:\home\larsa\svn\clean\SoQt\build\msvc6\src" /I "c:\home\larsa\svn\clean\SoQt\build\msvc6\data" /I "c:\home\larsa\svn\clean\SoQt\src" /I "c:\Coin3D-6\include" /I "c:\Coin3D-6\include\Inventor\annex" /I "c:\Qt\4.4.3\include" /I "c:\Qt\4.4.3\include\Qt"
SOQT_DSP_LIBS = c:\Qt\4.4.3\lib\QtOpenGL4.lib c:\Qt\4.4.3\lib\QtGui4.lib c:\Qt\4.4.3\lib\QtCore4.lib c:\Coin3D-6\lib\coin3.lib opengl32.lib gdi32.lib winmm.lib user32.lib
SOQT_LIB_DSP_DEFS =  /D "HAVE_CONFIG_H" /D "COIN_DLL" /D "SOQT_INTERNAL"
SOQT_MAJOR_VERSION = 1
SOQT_MICRO_VERSION = 0
SOQT_MINOR_VERSION = 5
SOQT_SO_VERSION = 20
SOQT_VERSION = 1.5.0
STRIP = strip
SUFFIX = 
UNIX2WINPATH = CYGWIN= /usr/bin/cygpath -w
VERSION = 1.5.0
WIDGET = QWidget *
X_CFLAGS =  -INONE
X_EXTRA_LIBS = 
X_LIBS =  -LNONE
X_PRE_LIBS = 
ac_compiler_gnu = no
ac_ct_AR = ar
ac_ct_CC = /cygdrive/c/home/larsa/svn/clean/SoQt/cfg/wrapmsvc.exe
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = :
ac_ct_STRIP = strip
ac_pt_PKG_CONFIG = /usr/local/bin/pkg-config
ac_unique_file = src/Inventor/Qt/SoQt.cpp
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-cygwin
build_alias = 
build_cpu = i686
build_os = cygwin
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
frameworkdir = 
gui = qt
host = i686-pc-cygwin
host_alias = 
host_cpu = i686
host_os = cygwin
host_vendor = pc
htmldir = ${prefix}/share/SoQt/html
htmlhelpdir = ${prefix}/share/SoQt/htmlhelp
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /cygdrive/c/home/larsa/svn/clean/SoQt/cfg/install-sh
ivframeworkdir = 
ivincludedir = 
libdir = /cygdrive/c/Qt/4.4.3/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
meta_prefix = moc_
nop = 
oldincludedir = /usr/include
path_tag = <PATH>
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sim_ac_coin_configcmd = /cygdrive/c/Coin3D-6/bin/coin-config --alternate=default
sim_ac_doxygen_exe = 
sim_ac_hhc_exe = 
sim_ac_packagemaker_app = false
sim_ac_perl_exe = 
sim_ac_qt_cygpath = /usr/bin/cygpath
sim_ac_relative_src_dir = ../..
sim_ac_relative_src_dir_p = true
sogui_build_dir = /cygdrive/c/home/larsa/svn/clean/SoQt/build/msvc6
sogui_html_dir = /cygdrive/c/home/larsa/svn/clean/SoQt/build/msvc6/html
sogui_html_help_dir = /cygdrive/c/home/larsa/svn/clean/SoQt/build/msvc6/htmlhelp
sogui_man_dir = /cygdrive/c/home/larsa/svn/clean/SoQt/build/msvc6/man
sogui_src_dir = /cygdrive/c/home/larsa/svn/clean/SoQt
soguiincludedir = ${prefix}/include
soqt_build_dir = /cygdrive/c/home/larsa/svn/clean/SoQt/build/msvc6
soqt_src_dir = /cygdrive/c/home/larsa/svn/clean/SoQt
soqt_w32_build_dir = c:\home\larsa\svn\clean\SoQt\build\msvc6
soqt_w32_src_dir = c:\home\larsa\svn\clean\SoQt
sysconfdir = ${prefix}/etc
target = i686-pc-cygwin
target_alias = 
target_cpu = i686
target_os = cygwin
target_vendor = pc

SoGui_BuiltFiles = \
  $(top_builddir)/sogui.doxygen \
  $(top_builddir)/soqt-config \
  $(top_builddir)/soqt-default.cfg


SoGui_src_BuiltFiles = \
  $(top_builddir)/src/soqtdefs.h


SoGui_build_BuiltFiles = 

SoGui_src_Inventor_BuiltFiles = 

SoGui_src_Inventor_Gui_BuiltFiles = \
  $(top_builddir)/src/Inventor/Qt/SoAny.h \
  $(top_builddir)/src/Inventor/Qt/SoAny.cpp \
  $(top_builddir)/src/Inventor/Qt/SoQtBasic.h \
  $(top_builddir)/src/Inventor/Qt/SoQtCursor.h \
  $(top_builddir)/src/Inventor/Qt/SoQtCursor.cpp \
  $(top_builddir)/src/Inventor/Qt/SoQtObject.h \
  $(top_builddir)/src/Inventor/Qt/SoQtObject.cpp \
  $(top_builddir)/src/Inventor/Qt/SoQt.h \
  $(top_builddir)/src/Inventor/Qt/SoGuiP.h \
  $(top_builddir)/src/Inventor/Qt/SoQtCommon.cpp \
  $(top_builddir)/src/Inventor/Qt/SoQtComponentCommon.cpp \
  $(top_builddir)/src/Inventor/Qt/SoQtComponent.h \
  $(top_builddir)/src/Inventor/Qt/SoGuiComponentP.h \
  $(top_builddir)/src/Inventor/Qt/SoQtGLWidget.h \
  $(top_builddir)/src/Inventor/Qt/SoGuiGLWidgetP.h \
  $(top_builddir)/src/Inventor/Qt/SoQtGLWidgetCommon.cpp \
  $(top_builddir)/src/Inventor/Qt/SoQtRenderArea.h \
  $(top_builddir)/src/Inventor/Qt/SoQtRenderArea.cpp \
  $(top_builddir)/src/Inventor/Qt/SoQtColorEditor.h \
  $(top_builddir)/src/Inventor/Qt/SoQtMaterialEditor.h \
  $(SoGui_src_Inventor_Gui_common_BuiltFiles)


SoGui_src_Inventor_Gui_common_BuiltFiles = \
  $(top_builddir)/src/Inventor/Qt/common/gl.h


SoGui_src_Inventor_Gui_devices_BuiltFiles = \
  $(top_builddir)/src/Inventor/Qt/devices/spwinput.h \
  $(top_builddir)/src/Inventor/Qt/devices/spwinput_win32.h \
  $(top_builddir)/src/Inventor/Qt/devices/spwinput_x11.cpp \
  $(top_builddir)/src/Inventor/Qt/devices/spwinput_win32.c \
  $(top_builddir)/src/Inventor/Qt/devices/SoQtDeviceCommon.cpp \
  $(top_builddir)/src/Inventor/Qt/devices/SoGuiDeviceP.h \
  $(top_builddir)/src/Inventor/Qt/devices/SoQtDevice.h \
  $(top_builddir)/src/Inventor/Qt/devices/SoQtInputFocusCommon.cpp \
  $(top_builddir)/src/Inventor/Qt/devices/SoQtInputFocus.h \
  $(top_builddir)/src/Inventor/Qt/devices/SoGuiInputFocusP.h \
  $(top_builddir)/src/Inventor/Qt/devices/SoQtKeyboardCommon.cpp \
  $(top_builddir)/src/Inventor/Qt/devices/SoQtKeyboard.h \
  $(top_builddir)/src/Inventor/Qt/devices/SoGuiKeyboardP.h \
  $(top_builddir)/src/Inventor/Qt/devices/SoQtMouseCommon.cpp \
  $(top_builddir)/src/Inventor/Qt/devices/SoQtMouse.h \
  $(top_builddir)/src/Inventor/Qt/devices/SoGuiMouseP.h


SoGui_src_Inventor_Gui_editors_BuiltFiles = \
  $(top_builddir)/src/Inventor/Qt/editors/SoQtColorEditor.h \
  $(top_builddir)/src/Inventor/Qt/editors/SoQtColorEditor.cpp \
  $(top_builddir)/src/Inventor/Qt/editors/SoQtMaterialEditor.h \
  $(top_builddir)/src/Inventor/Qt/editors/SoQtMaterialEditor.cpp


SoGui_src_Inventor_Gui_nodes_BuiltFiles = \
  $(top_builddir)/src/Inventor/Qt/nodes/SoGuiNodes.h \
  $(top_builddir)/src/Inventor/Qt/nodes/Nodes.cpp \
  $(top_builddir)/src/Inventor/Qt/nodes/SoGuiSceneTexture2.h \
  $(top_builddir)/src/Inventor/Qt/nodes/SceneTexture2.cpp \
  $(top_builddir)/src/Inventor/Qt/nodes/SoGuiViewportFix.h \
  $(top_builddir)/src/Inventor/Qt/nodes/ViewportFix.cpp \
  $(top_builddir)/src/Inventor/Qt/nodes/SoGuiViewpointWrapper.h \
  $(top_builddir)/src/Inventor/Qt/nodes/ViewpointWrapper.cpp \
  $(top_builddir)/src/Inventor/Qt/nodes/SoGuiPane.h \
  $(top_builddir)/src/Inventor/Qt/nodes/Pane.cpp \
  $(top_builddir)/src/Inventor/Qt/nodes/SoGuiPosition.h \

=== build/msvc9/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



############################################################################

############################################################################
# src/Inventor/Qt/common/Makefile.common
#
# This file takes care of all the common code generation that is happening
# across all the Coin3D GUI toolkit libraries.
#


srcdir = ../..
top_srcdir = ../..
VPATH = ../..
pkgdatadir = $(datadir)/SoQt
pkglibdir = $(libdir)/SoQt
pkgincludedir = $(includedir)/SoQt
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-cygwin
host_triplet = i686-pc-cygwin
target_triplet = i686-pc-cygwin
DIST_COMMON = README $(am__configure_deps) \
	$(am__dist_m4data_DATA_DIST) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/SoQt.pc.in \
	$(srcdir)/src/Inventor/Qt/common/Makefile.common \
	$(top_srcdir)/cfg/gendsp.pl.in $(top_srcdir)/configure \
	$(top_srcdir)/src/Inventor/Qt/common/sogui.cfg.in AUTHORS \
	COPYING ChangeLog INSTALL NEWS cfg/README cfg/config.guess \
	cfg/config.sub cfg/depcomp cfg/install-sh cfg/ltmain.sh \
	cfg/missing cfg/mkinstalldirs
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/../simacros/bin/../cfg/m4/coin.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/compile_debug.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/compile_exceptions.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/compile_functionname.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/compile_profiling.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/compile_rtti.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/compile_symbols.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/compile_warnings.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/configuration_summary.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/cpp_search_order.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/dl.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/doxygen_detection.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/errors.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/exit.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/fink.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/gendsp.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/inventor.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/mac.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/misc_compiler.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/opengl.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/packagemaker.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/path_conversion.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/pkg.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/project.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/pthread.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/qt.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/sim.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/sogui-misc-common.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/sogui.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/sourcedir.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/uniqify.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/w32api.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/wrapmsvc.m4 \
	$(top_srcdir)/../simacros/bin/../cfg/m4/x11.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/cfg/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/config.h
CONFIG_CLEAN_FILES = soqt-$CONFIG.cfg SoQt.pc cfg/gendsp.pl
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(cfgdatadir)" "$(DESTDIR)$(m4datadir)" "$(DESTDIR)$(frameworkdatadir)" "$(DESTDIR)$(pkgconfigdir)"
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(bin_SCRIPTS)
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
cfgdataDATA_INSTALL = $(INSTALL_DATA)
am__dist_m4data_DATA_DIST = cfg/soqt.m4
dist_m4dataDATA_INSTALL = $(INSTALL_DATA)
frameworkdataDATA_INSTALL = $(INSTALL_DATA)
pkgconfigDATA_INSTALL = $(INSTALL_DATA)
DATA = $(cfgdata_DATA) $(dist_m4data_DATA) $(frameworkdata_DATA) \
	$(pkgconfig_DATA)
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = . src man html htmlhelp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /cygdrive/c/MSVCGeneration/SoQt/cfg/missing --run aclocal-1.8
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /cygdrive/c/MSVCGeneration/SoQt/cfg/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /cygdrive/c/MSVCGeneration/SoQt/cfg/missing --run autoconf
AUTOHEADER = ${SHELL} /cygdrive/c/MSVCGeneration/SoQt/cfg/missing --run autoheader
AUTOMAKE = ${SHELL} /cygdrive/c/MSVCGeneration/SoQt/cfg/missing --run automake-1.8
AWK = gawk
BUILD_HTMLHELP_FALSE = 
BUILD_HTMLHELP_TRUE = #
BUILD_HTMLPAGES_FALSE = 
BUILD_HTMLPAGES_TRUE = #
BUILD_LIBRARY_FALSE = #
BUILD_LIBRARY_TRUE = 
BUILD_MANPAGES_FALSE = 
BUILD_MANPAGES_TRUE = #
BUILD_METAFILES_FALSE = #
BUILD_METAFILES_TRUE = 
BUILD_WITH_MSVC = true
BUILD_WITH_MSVC_FALSE = #
BUILD_WITH_MSVC_TRUE = 
CC = /cygdrive/c/MSVCGeneration/SoQt/build/msvc9/cfg/gendsp.pl
CCDEPMODE = depmode=none
CFLAGS = /Ox /MT 
COIN_COMPILER = wrapmsvc
COMPONENTHEADER = Q_OBJECT
CONFIG = default
CPP = /cygdrive/c/MSVCGeneration/SoQt/cfg/wrapmsvc.exe -E
CPPFLAGS = -DSOQT_MAKE_DLL -I/cygdrive/c/Coin3D/include -DCOIN_DLL -I/cygdrive/c/Qt/4.5.0-default/include -I/cygdrive/c/Qt/4.5.0-default/include/Qt -DNDEBUG -DSOQT_DEBUG=0 -DSOQT_INTERNAL -Ddspfile=/cygdrive/c/MSVCGeneration/SoQt/build/msvc9/soqt1.dsp
CXX = /cygdrive/c/MSVCGeneration/SoQt/build/msvc9/cfg/gendsp.pl
CXXCPP = /cygdrive/c/MSVCGeneration/SoQt/cfg/wrapmsvc.exe -E
CXXDEPMODE = depmode=none
CXXFLAGS = /Ox /MT /EHsc 
CYGPATH_W = cygpath -w
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSUFFIX = 
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EVENT = QEvent *
EXEEXT = .exe
F77 = 
FFLAGS = 
GREP = /usr/bin/grep
GUI = QT
Gui = Qt
HACKING_COMPACT_BUILD_FALSE = 
HACKING_COMPACT_BUILD_TRUE = #
HAVE_JOYSTICK_LINUX_FALSE = 
HAVE_JOYSTICK_LINUX_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = -L/cygdrive/c/Coin3D/lib -L/cygdrive/c/Qt/4.5.0-default/lib -Wl,-Ddspfile=/cygdrive/c/MSVCGeneration/SoQt/build/msvc9/soqt1.dsp
LIBFLAGS = -DLL /INCREMENTAL:NO   /RELEASE /OUT:soqt1.dll -o soqt1.so.0
LIBOBJS = 
LIBS = -lQtOpenGL4 -lQtGui4 -lQtCore4 -lcoin3d -lopengl32 -luser32 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 6
LT_CURRENT = 26
LT_REVISION = 0
MACOSX_10_2FF_FALSE = 
MACOSX_10_2FF_TRUE = #
MACOSX_FALSE = 
MACOSX_PACKAGEABLE_FALSE = 
MACOSX_PACKAGEABLE_TRUE = #
MACOSX_TRUE = #
MAC_FRAMEWORK = false
MAC_FRAMEWORK_FALSE = 
MAC_FRAMEWORK_NAME = SoQt
MAC_FRAMEWORK_PREFIX = /Library/Frameworks
MAC_FRAMEWORK_TRUE = #
MAC_FRAMEWORK_VERSION = A
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /cygdrive/c/MSVCGeneration/SoQt/cfg/missing --run makeinfo
MOC = /cygdrive/c/Qt/4.5.0-default/bin/moc
NMEDIT = 
OBJEXT = obj
PACKAGE = SoQt
PACKAGE_BUGREPORT = coin-support@coin3d.org
PACKAGE_NAME = SoQt
PACKAGE_STRING = SoQt 1.6.0a
PACKAGE_TARNAME = soqt
PACKAGE_URL = 
PACKAGE_VERSION = 1.6.0a
PATH_SEPARATOR = :
PKG_CONFIG = 
QT4_CFLAGS = 
QT4_LIBS = 
QT_VERSION = 
RANLIB = :
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SOGUI_DOC_HTML = NO
SOGUI_DOC_HTML_HELP = NO
SOGUI_DOC_MAN = NO
SOGUI_EXTRA_CFLAGS = -g /MT
SOGUI_EXTRA_CPPFLAGS = -I${prefix}/include -I/cygdrive/c/Coin3D/include -DCOIN_DLL -I/cygdrive/c/Qt/4.5.0-default/include -I/cygdrive/c/Qt/4.5.0-default/include/Qt -DSOQT_DLL
SOGUI_EXTRA_CXXFLAGS = -g /MT
SOGUI_EXTRA_LDFLAGS = -L${exec_prefix}/lib -L/cygdrive/c/Coin3D/lib -L/cygdrive/c/Qt/4.5.0-default/lib
SOGUI_EXTRA_LIBS = -lsoqt1 -lQtOpenGL4 -lQtGui4 -lQtCore4 -lcoin3d -lopengl32
SOGUI_MAJOR_VERSION = 1
SOGUI_MINOR_VERSION = 6
SOGUI_MSVC_LIBC = multithread-static
SOQT_BETA_VERSION = a
SOQT_DSP_DEFS = /D "HAVE_CONFIG_H" /D "SOQT_MAKE_DLL" /D "COIN_DLL" /D "SOQT_INTERNAL"
SOQT_DSP_INCS = /I "c:\MSVCGeneration\SoQt\build\msvc9\src" /I "c:\MSVCGeneration\SoQt\build\msvc9\data" /I "c:\MSVCGeneration\SoQt\src" /I "c:\Coin3D\include" /I "c:\Qt\4.5.0-default\include" /I "c:\Qt\4.5.0-default\include\Qt"
SOQT_DSP_LIBS = c:\Qt\4.5.0-default\lib\QtOpenGL4.lib c:\Qt\4.5.0-default\lib\QtGui4.lib c:\Qt\4.5.0-default\lib\QtCore4.lib c:\Coin3D\lib\coin3d.lib opengl32.lib user32.lib
SOQT_LIB_DSP_DEFS =  /D "HAVE_CONFIG_H" /D "COIN_DLL" /D "SOQT_INTERNAL"
SOQT_MAJOR_VERSION = 1
SOQT_MICRO_VERSION = 0
SOQT_MINOR_VERSION = 6
SOQT_SO_VERSION = 20
SOQT_VERSION = 1.6.0a
STRIP = strip
SUFFIX = 
UNIX2WINPATH = CYGWIN= /usr/bin/cygpath -w
VERSION = 1.6.0a
WIDGET = QWidget *
XMKMF = 
X_CFLAGS =  -INONE
X_EXTRA_LIBS = 
X_LIBS =  -LNONE
X_PRE_LIBS = 
ac_compiler_gnu = no
ac_ct_CC = /cygdrive/c/MSVCGeneration/SoQt/cfg/wrapmsvc.exe
ac_ct_CXX = 
ac_ct_F77 = 
ac_unique_file = src/Inventor/Qt/SoQt.cpp
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-cygwin
build_alias = 
build_cpu = i686
build_os = cygwin
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
frameworkdir = 
gui = qt
host = i686-pc-cygwin
host_alias = 
host_cpu = i686
host_os = cygwin
host_vendor = pc
htmldir = ${prefix}/share/doc/soqt/html
htmlhelpdir = ${datarootdir}/SoQt/htmlhelp
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /cygdrive/c/MSVCGeneration/SoQt/cfg/install-sh
ivframeworkdir = 
ivincludedir = 
libdir = /cygdrive/c/Qt/4.5.0-default/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
meta_prefix = moc_
mkdir_p = mkdir -p -- .
nop = 
oldincludedir = /usr/include
path_tag = <PATH>
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sim_ac_coin_configcmd = false
sim_ac_doxygen_exe = 
sim_ac_hhc_exe = 
sim_ac_packagemaker_app = false
sim_ac_perl_exe = 
sim_ac_qt_cygpath = /usr/bin/cygpath
sim_ac_relative_src_dir = ../..
sim_ac_relative_src_dir_p = true
sogui_build_dir = /cygdrive/c/MSVCGeneration/SoQt/build/msvc9

=== debian/changelog ===
soqt (1.6.3+ds1-2deepin1) unstable; urgency=medium

  * revert t64.

 -- lhdjply <lhdjply@126.com>  Mon, 9 Jun 2025 13:36:12 +0800

soqt (1.6.3+ds1-2) unstable; urgency=medium

  * [090a658] Reintroduce libsoqt520t64. (Closes: #1101811)

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Apr 2025 18:43:27 +0200

soqt (1.6.3+ds1-1) unstable; urgency=medium

  * Team upload.
  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Mon, 31 Mar 2025 07:23:34 +0200

soqt (1.6.3+ds1-1~exp2) experimental; urgency=medium

  * [91afb85] Fix breaks/replaces in libsoqt-common-dev

 -- Anton Gladky <gladk@debian.org>  Mon, 31 Mar 2025 06:42:34 +0200

soqt (1.6.3+ds1-1~exp1) experimental; urgency=medium

  [ Leopold Palomo-Avellaneda ]]
  * New upstream version.
  * Added some notes.
  * Added logical to split the build to manage the versions. Remake package 
    structure. Now we have two versions: Qt5 and Qt6.

  [ Anton Gladky ]
  * Fix autopkgtest
  * Refactor test scripts for improved organization and clarity
  * Add qt6 tests
  * Update test dependencies in control file
  * Enable tests for both Qt5 and Qt6 builds in rules

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Mar 2025 21:40:49 +0100

=== debian/control ===
Source: soqt
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Kurt Kremitzki <kurt@kwk.systems>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 12),
               doxygen,
               cmake,
               libcoin-dev,
               qtbase5-dev,
               libqt5opengl5-dev,
	       qt6-base-dev,
	       libqt6opengl6-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/soqt
Vcs-Git: https://salsa.debian.org/science-team/soqt.git
Homepage: https://github.com/coin3d/soqt
Rules-Requires-Root: no

Package: libsoqt520
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Qt5 GUI component toolkit for Inventor - runtime
 SoQt is a Qt GUI component toolkit library for Coin, based on the
 API of the InventorXt GUI component toolkit.  SoQt is also compatible
 with OpenInventor of SGI and TGS.
 .
 This library is linked against Qt version 5.

Package: libsoqt520-dev
Architecture: any
Section: libdevel
Depends: libcoin-dev,
         libqt5opengl5-dev,
         libsoqt520 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
	 libsoqt-common-dev (= ${source:Version})
Conflicts: libsoqt620-dev
Provides: libsoqt5-dev
Description: Qt5 GUI component toolkit for Inventor - development
 SoQt is a Qt GUI component toolkit library for Coin, based on the
 API of the InventorXt GUI component toolkit.  SoQt is also compatible
 with OpenInventor of SGI and TGS.
 .
 SoQt provides a class-hierarchy of viewer classes that ranges from a
 simple render canvas (the SoQtRenderArea), providing only the basic
 synchronization and device input conversion routines between Qt and
 Coin, up to 3 different full-featured viewer classes
 (SoQtExaminerViewer, SoQtPlaneViewer and SoQtFlyViewer) with input
 device handling logic and user interfaces to let the application
 programmer do Rapid Application Development.
 .
 This library is linked against Qt version 5.

Package: libsoqt620
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Qt6 GUI component toolkit for Inventor - runtime
 SoQt is a Qt GUI component toolkit library for Coin, based on the
 API of the InventorXt GUI component toolkit.  SoQt is also compatible
 with OpenInventor of SGI and TGS.
 .
 This library is linked against Qt version 6.

Package: libsoqt620-dev
Architecture: any
Section: libdevel
Depends: libcoin-dev,
         libqt6opengl6-dev,
         libsoqt620 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
	 libsoqt-common-dev (= ${source:Version})
Conflicts: libsoqt520-dev
Replaces: libsoqt520-dev
Provides: libsoqt6-dev
Description: Qt6 GUI component toolkit for Inventor - development
 SoQt is a Qt GUI component toolkit library for Coin, based on the
 API of the InventorXt GUI component toolkit.  SoQt is also compatible
 with OpenInventor of SGI and TGS.
 .
 SoQt provides a class-hierarchy of viewer classes that ranges from a
 simple render canvas (the SoQtRenderArea), providing only the basic
 synchronization and device input conversion routines between Qt and
 Coin, up to 3 different full-featured viewer classes
 (SoQtExaminerViewer, SoQtPlaneViewer and SoQtFlyViewer) with input
 device handling logic and user interfaces to let the application
 programmer do Rapid Application Development.
 .
 This library is linked against Qt version 6.

Package: libsoqt-common-dev
Architecture: all
Depends: libcoin-dev, ${misc:Depends}
Breaks: libsoqt520-dev (<< 1.6.3+ds1-1~exp1)
Replaces: libsoqt520-dev (<< 1.6.3+ds1-1~exp1)
Section: libdevel
Description: Qt5/Qt6 GUI component toolkit for Inventor - development
 SoQt is a Qt GUI component toolkit library for Coin, based on the
 API of the InventorXt GUI component toolkit.  SoQt is also compatible
 with OpenInventor of SGI and TGS.
 .
 This package provides the common files for both versions of SoQt:
 one built against Qt5 and another against Qt6.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_OPTIONS += nocheck
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --buildsystem=cmake --without autoreconf

override_dh_auto_configure:
	rm -rf src/Inventor/Qt/common
	ln -sfn $(CURDIR)/sogui src/Inventor/Qt/common
	mkdir -p build-qt5 build-qt6
	dh_auto_configure --builddirectory=build-qt5 -- -DCMAKE_INSTALL_PREFIX=/usr -DSOQT_USE_QT6=OFF -DSOQT_BUILD_TESTS=ON
	dh_auto_configure --builddirectory=build-qt6 -- -DCMAKE_INSTALL_PREFIX=/usr -DSOQT_USE_QT6=ON -DSOQT_BUILD_TESTS=ON

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt5
	dh_auto_build --builddirectory=build-qt6

override_dh_auto_install:
	# Install into separate staging directories
	dh_auto_install --builddirectory=build-qt5 --destdir=debian/tmp-qt5
	dh_auto_install --builddirectory=build-qt6 --destdir=debian/tmp-qt6
	mkdir libsoqt520-dev libsoqt620-dev libsoqt-common-dev
	mkdir -p debian/libsoqt520/usr/lib/$(DEB_HOST_MULTIARCH) debian/libsoqt620/usr/lib/$(DEB_HOST_MULTIARCH)
	cp -r debian/tmp-qt5/usr/lib/*/*.so.* debian/libsoqt520/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp -r debian/tmp-qt6/usr/lib/*/*.so.* debian/libsoqt620/usr/lib/$(DEB_HOST_MULTIARCH)/

	# Create necessary directories
	mkdir -p debian/libsoqt520-dev/usr/include/Inventor/Qt debian/libsoqt620-dev/usr/include/Inventor/Qt
	mkdir -p debian/libsoqt-common-dev/usr debian/libsoqt-common-dev/usr/share/
	mkdir -p debian/libsoqt520-dev/usr/lib debian/libsoqt620-dev/usr/lib

	# Common files
	cp -r debian/tmp-qt5/usr/include debian/libsoqt-common-dev/usr
	cp -r debian/tmp-qt5/usr/share/* debian/libsoqt-common-dev/usr/share/
	
	# delete different file
	rm debian/libsoqt-common-dev/usr/include/Inventor/Qt/SoQtBasic.h

	# copy especific files
	cp debian/tmp-qt5/usr/include/Inventor/Qt/SoQtBasic.h debian/libsoqt520-dev/usr/include/Inventor/Qt
	cp debian/tmp-qt6/usr/include/Inventor/Qt/SoQtBasic.h debian/libsoqt620-dev/usr/include/Inventor/Qt
	# Qt5
	mkdir -p debian/libsoqt520-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	cp -r debian/tmp-qt5/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/* debian/libsoqt520-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	cp -r debian/tmp-qt5/usr/lib/$(DEB_HOST_MULTIARCH)/cmake debian/libsoqt520-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	# Qt6
	mkdir -p debian/libsoqt620-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	cp -r debian/tmp-qt6/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/* debian/libsoqt620-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	cp -r debian/tmp-qt6/usr/lib/$(DEB_HOST_MULTIARCH)/cmake debian/libsoqt620-dev/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_link:
	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/libSoQt.so.520 usr/lib/$(DEB_HOST_MULTIARCH)/libSoQt.so -p libsoqt520-dev
	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/libSoQt.so.620 usr/lib/$(DEB_HOST_MULTIARCH)/libSoQt.so -p libsoqt620-dev

## soqt 1.6.4%2Bds1

=== test-code/CMakeLists.txt ===
include_directories(
  $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}/src>
  $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>)

add_executable(crash assertdbg/crash.cpp)
target_link_libraries(crash SoQt)

#add_executable(coloreditor components/coloreditor.cpp)
#target_link_libraries(coloreditor SoQt)

add_executable(embeddedexaminer components/embeddedexaminer.cpp)
target_link_libraries(embeddedexaminer SoQt)

add_executable(renderarea components/renderarea.cpp)
target_link_libraries(renderarea SoQt)

add_executable(scrollview components/scrollview.cpp)
target_link_libraries(scrollview SoQt)

add_executable(tripleview components/tripleview.cpp)
target_link_libraries(tripleview SoQt)

add_executable(withoutdecor0 components/withoutdecor0.cpp)
target_link_libraries(withoutdecor0 SoQt)

add_executable(withoutdecor1 components/withoutdecor1.cpp)
target_link_libraries(withoutdecor1 SoQt)

add_executable(thumbwheel widgets/thumbwheel.cpp)
target_link_libraries(thumbwheel SoQt)
